#
#       HBS REDUCTION SUB ROUTINE
#
#       ratio of Sp3 and Sp4 : hbs3o4.cl
#
#       1996/06/25      K.Kawabata  Ver.0.10  for CRYOCAM manual reduc
#

procedure hbs3o4( inlist )

file inlist	{ prompt = "Input grouped list to be proccessed" }


begin

  file hbslist, fn
  file tmp_list1
  string buf1, buf2, buf3

  tmp_list1 = mktemp( "hbs.tmp.list." )
  hbslist = inlist
  sed( 's/d\.imh//', hbslist, > tmp_list1 )  


#----- extracting spectrum

  list = tmp_list1

  while( fscan( list, fn ) != EOF )
  {
    buf1 = fn//"3sssoc.imh"
    buf2 = fn//"4sssoc.imh"
    buf3 = fn//"3o4.imh"

    print( buf1//" / "//buf2//" --> "//buf3 )
    imarith( buf1, "/", buf2, buf3,\
             pixtype="real", calctype="real", ver- )
  }

  delete( tmp_list1, ver- )

end
