/* 2001.01.04. - 2001.01.17. */
#define X1    1      /* trim data x1 */
#define X2 1000      /* trim data x2 */
#define Y1  285      /* trim data y1 */
#define Y2  715      /* trim data y2 */
#define NX0 1000     /* n_x_pix of original image */
#define NY0 1018     /* n_y_pix of original image */
#define NX1 1000     /* n_x_pix after trimmed (= x2 - x1) */
#define NY1 431      /* n_y_pix after trimmed (= y2 - y1) */
#define SW  3800.0   /* start wavelength in dispersion correction */
#define EW  9100.0   /* end wavelength in dispersion correction */
#define DW  5.3053053 /* wavelength per on pixel in dispersion correction */
#define RSW 3850.0   /* real data existing region */
#define REW 9050.0   /* real data existing region */
#define NX2 1000     /* n_x_pix after dispersion correction */
#define NY2  90      /* n_y_pix after dispersion correction */
#define DY1_2HL 54   /* Y start position of SP1 in AP extraction for 2HL */
#define DY2_2HL 237  /* Y start position of SP3 in AP extraction for 2HL */
#define DY1_2S2 52   /* Y start position of SP1 in AP extraction for 2S2 */
#define DY2_2S2 237  /* Y start position of SP3 in AP extraction for 2S2 */
#define NY2a  40.0  /* maximum y width in 1-dimensioning */
#define NX3 1000     /* n_x_pix after binning */
#define OS_2HL 0.5 /* offset pixel of Sp2/4 against Sp1/3 (right+) for 2HL */
#define OS_2S2 0.5 /* offset pixel of Sp2/4 against Sp1/3 (right+) for 2S2 */
#define GEADU  0.13125 /* ADU/electron/gain */
#define NCCD 1       /* CCD chip number 1:TC215 2:SITe */
#define longitude +2.33169686    /* LONGITUDE OF OBSERVATORY */
#define lattitude +0.60342820    /* LATTITUDE OF OBSERVATORY */
#define OBSERVATORY "OKAYAMA_OBSERVATORY"
#define TELESCOPE "36INCH_REFLECTOR"

